VeraCrypt
aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2021-08-29 00:12:17 +0200
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2021-08-30 00:26:03 +0200
commitadc21bd1ab6d7dce07891a8748b8deedaf9491a5 (patch)
treeadb9299f67741c568473b31c59cc2dcad8378a8f /src
parentefe1c59461d3e890fae1971d917e76abcd4b54b6 (diff)
downloadVeraCrypt-adc21bd1ab6d7dce07891a8748b8deedaf9491a5.tar.gz
VeraCrypt-adc21bd1ab6d7dce07891a8748b8deedaf9491a5.zip
Linux: Build .deb packages with Ayatana application indicator support (Ubuntu >= 18.04, Debian >= 10)
Diffstat (limited to 'src')
-rw-r--r--src/Build/CMakeLists.txt2
-rwxr-xr-xsrc/Build/build_cmake_deb.sh13
2 files changed, 13 insertions, 2 deletions
diff --git a/src/Build/CMakeLists.txt b/src/Build/CMakeLists.txt
index 0c83638d..3a396870 100644
--- a/src/Build/CMakeLists.txt
+++ b/src/Build/CMakeLists.txt
@@ -254,7 +254,7 @@ if ( ( PLATFORM STREQUAL "Debian" ) OR ( PLATFORM STREQUAL "Ubuntu" ) )
if ( ( ( PLATFORM STREQUAL "Debian" ) AND ( PLATFORM_VERSION VERSION_GREATER_EQUAL "10" ) )
OR ( ( PLATFORM STREQUAL "Ubuntu" ) AND ( PLATFORM_VERSION VERSION_GREATER_EQUAL "18.04" ) ) )
- set( CPACK_DEBIAN_PACKAGE_DEPENDS "libwxgtk3.0-gtk3-0v5, libfuse2, dmsetup, sudo" )
+ set( CPACK_DEBIAN_PACKAGE_DEPENDS "libwxgtk3.0-gtk3-0v5, libayatana-appindicator3-1, libfuse2, dmsetup, sudo" )
else ()
# Link against statically built wxWidgets on Ubuntu 14.04 and older, and Debian 8 and older
diff --git a/src/Build/build_cmake_deb.sh b/src/Build/build_cmake_deb.sh
index f54d67bd..11b72296 100755
--- a/src/Build/build_cmake_deb.sh
+++ b/src/Build/build_cmake_deb.sh
@@ -41,11 +41,22 @@ else
echo "Building GUI version of VeraCrypt for DEB using system wxWidgets"
make clean || exit 1
-make || exit 1
+
+if [ "$#" = "1" ] && [ "$1" = "INDICATOR" ]
+then
+
+make INDICATOR=1 || exit 1
+make INDICATOR=1 install DESTDIR="$PARENTDIR/VeraCrypt_Setup/GUI" || exit 1
+
+else
+
+make || exit 1
make install DESTDIR="$PARENTDIR/VeraCrypt_Setup/GUI" || exit 1
fi
+fi
+
echo "Building console version of VeraCrypt for DEB using wxWidgets static libraries"
# This is to avoid " Error: Unable to initialize GTK+, is DISPLAY set properly?"